libaaruformat 1.0 Aaru Data Preservation Suite - Format Library

Loading...
Searching...
No Matches
sha256_ctx Struct Reference

`#include <sha256.h>`

## Data Fields
uint32_t | state [8]
uint64_t | bitcount
uint8_t | buffer [64]

## Detailed Description

Definition at line 41 of file sha256.h.

## Field Documentation

## ◆ bitcount

uint64_t sha256_ctx::bitcount

Definition at line 44 of file sha256.h.

Referenced by aaruf_sha256_final(), aaruf_sha256_init(), and aaruf_sha256_update().

## ◆ buffer

uint8_t sha256_ctx::buffer[64]

Definition at line 45 of file sha256.h.

Referenced by aaruf_sha256_final(), aaruf_sha256_init(), and aaruf_sha256_update().

## ◆ state

uint32_t sha256_ctx::state[8]

Definition at line 43 of file sha256.h.

Referenced by aaruf_sha256_final(), aaruf_sha256_init(), and aaruf_sha256_update().

The documentation for this struct was generated from the following file:

- include/sha256.h